Create Reward Multiplier

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Create Reward Multiplier API allows creation of reward multipliers that gives users a boost in earning rewards for a specific time period from all rewardable interactions, tied to a specific reward item.

There are two types of reward multipliers, based on their activation method:

User-earned / User-activated

Earned through a rewardable sources such as streak milestone, tier benefit, etc. and then manually activated by a user after earning. For this type, it is mandatory to set an active_duration which determines how long the multiplier remains effective, once activated. The multiplier, when active, is applicable to all rewardable interactions tied to that reward item linked to the multiplier.

Automatic

Automatically activated for all users (or selected user groups) during a pre-configured time window. For this type, users do not need to separately earn a the reward multiplier or manually activate it. Multiplier remains effective only between the started_at and stopped_at timestamps set at the time of configuring.

Reward multipliers can be configured for specific reward items or user groups using reward_item_ids and profile_groups_ids, and can include custom metadata through attributes.

When created, a reward multiplier is saved, by default, in a draft state, allowing its configuration and attributes to be updated, if required. The multiplier must be published before it becomes usable and starts affecting reward transactions. A published multiplier allows only select fields to be updated.

Path Params
string
required
Body Params
string
required
string
integer
required

Multiplier value applied to reward earnings (e.g. 2 = double rewards)

string
enum
required

Defines how the multiplier is activated (e.g. user activated or automatic).

Allowed:
string

Duration for which the user activated multiplier remains active after activation, in ISO 8601 format.

string

UTC timestamp when the multiplier becomes available. The timestamp should not be in the past.

string

UTC timestamp when the multiplier expires and stops being available. The timestamp should not be in the past.

reward_item_ids
array of strings
required

List of reward item UUIDs that the multiplier applies to.

reward_item_ids*
profile_group_ids
array of strings

List of reward item UUIDs that the multiplier applies to.

profile_group_ids
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json